Bug 246532 - graphics/mupdf: Update to 1.17
Summary: graphics/mupdf: Update to 1.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-17 22:38 UTC by Salil Wadnerkar
Modified: 2020-05-19 07:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (uzsolt)


Attachments
svn diff (2.92 KB, patch)
2020-05-17 22:38 UTC, Salil Wadnerkar
uzsolt: maintainer-approval+
Details | Diff
Fix for graphics/zathura-pdf-mupdf (2.46 KB, patch)
2020-05-18 11:57 UTC, Fernando Apesteguía
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Salil Wadnerkar 2020-05-17 22:38:59 UTC
Created attachment 214592 [details]
svn diff

Tested locally.
Comment 1 Automation User 2020-05-17 22:53:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146938621
Comment 2 Zsolt Udvari 2020-05-18 05:43:55 UTC
The graphics/zathura-pdf-mupdf doesn't build it - tested some days (1-2 weeks?) ago. Could you please test it and if you know a little bit about C++ fix it?
Comment 3 Fernando Apesteguía freebsd_committer 2020-05-18 11:57:34 UTC
Created attachment 214598 [details]
Fix for graphics/zathura-pdf-mupdf

This patch uses the transition functions for the change in the API[1] so graphics/zatahura-pdf-mupdf builds in {11.3,12.1}{amd64,i386} and 13-current amd64.

Also, the update in graphics/mupdf doesn't seem to affect print/cups-filter or graphics/impressive since both build fine.

[1]https://www.mupdf.com/docs/api/changes.html
Comment 4 Fernando Apesteguía freebsd_committer 2020-05-18 11:59:08 UTC
Can MAINTAINER try and run test graphics/zathura-pdf-mupdf?
Comment 5 Zsolt Udvari 2020-05-18 13:34:41 UTC
(In reply to Fernando Apesteguía from comment #4)
It seems it's okay. Thanks for your work.
Comment 6 Fernando Apesteguía freebsd_committer 2020-05-18 13:48:21 UTC
(In reply to Zsolt Udvari from comment #5)
Cool,

Just for the record, would you mind checking the maintainer-approval for the attachments? :-)

Thanks!
Comment 7 commit-hook freebsd_committer 2020-05-19 07:26:07 UTC
A commit references this bug:

Author: fernape
Date: Tue May 19 07:25:55 UTC 2020
New revision: 535838
URL: https://svnweb.freebsd.org/changeset/ports/535838

Log:
  graphics/mupdf: Update to 1.17

  Apply patch in graphics/zathura-pdf-mupdf to use transition functions to the new
  API (int fz_page_number_from_location(ctx, doc, location))

  ChangeLog: https://www.mupdf.com/docs/api/changes.html

  PR:	246532
  Submitted by:	salil.wadnerkar@gmail.com
  Approved by:	uzsolt@uzsolt.hu (maintainer)

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/files/scroll_hack-platform__x11__pdfapp.c
  head/graphics/mupdf/pkg-plist
  head/graphics/zathura-pdf-mupdf/files/
  head/graphics/zathura-pdf-mupdf/files/patch-zathura-pdf-mupdf_index.c
  head/graphics/zathura-pdf-mupdf/files/patch-zathura-pdf-mupdf_links.c
Comment 8 Fernando Apesteguía freebsd_committer 2020-05-19 07:27:15 UTC
Committed,

Thanks!